petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPGetOperatorsSet

Determines if the matrix associated with the linear system and possibly a different one associated with the preconditioner have been set in the KSP.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetOperatorsSet(KSP ksp,PetscBool  *mat,PetscBool  *pmat)

Not collective, though the results on all processes should be the same

### Input Parameter

pc -the KSP context

### Output Parameters

| mat | - the matrix associated with the linear system was set
| pmat | - matrix associated with the preconditioner was set, usually the same

### See Also

PCSetOperators(), KSPGetOperators(), KSPSetOperators(), PCGetOperators(), PCGetOperatorsSet()

### Level

intermediate

### Location

src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages